	/********************************************************************/
	/*                                                                  */
	/*  math.h                                                          */
	/*       version 0          1992/08/31        K.Shinozuka           */
    	/*       modified	    1997/03/17	      T.Katahira	    */
    	/*		change function declaration to the ANSI style	    */
	/*                                                                  */
	/*  math.h contains followings.                                     */
	/*    extern declarations of math-functions                         */
	/*    extern declarations of special codes and useful numbers       */
	/*                                                                  */
	/*       modify for P/ECE   2015/07/25        Naoyuki Sawa          */
	/*		- /usr/PIECE/include にあるファイルよりも、このファイルが優先されるよう、clip.mkにて、インクルードパスを設定してあります。	*/
	/*		- log2()を追加しました。実装は、cliplibc.cにあります。log2()は、C99で追加された関数です。「Lua 5.3.1」が、使用しています。	*/
	/*		  EPSONライブラリにも、Visual C++ 6.0にも、log2()は含まれていません。								*/
	/*                                                                  */
	/********************************************************************/

#ifndef MATH_H 
#define MATH_H

#ifdef UNIX
#include "errno.h"
#else
#include <errno.h>
#endif

extern double acos( double );
extern double asin( double );
extern double atan( double );
extern double atan2( double, double );
extern double ceil( double );
extern double cos( double );
extern double cosh( double );
extern double exp( double );
extern double fabs( double );
extern double floor( double );
extern double fmod( double, double );
extern double frexp( double, int * );
extern double ldexp( double, int );
extern double log( double );
extern double log10( double );
extern double modf( double, double * );
extern double pow( double, double );
extern double sin( double );
extern double sinh( double );
extern double sqrt( double );
extern double tan( double );
extern double tanh( double );

#ifndef DBL_LNG_TYPE 

#define DBL_LNG_TYPE 

typedef union {
    struct {
#ifdef BIG_ENDIAN
        unsigned long _LL;
        unsigned long _LH;
#else  
        unsigned long _LH;
        unsigned long _LL;
#endif 
    } st;
    double _D;
} DBL_LNG;

#endif

//{{2015/07/25追加:log2()を追加しました。実装は、cliplibc.cにあります。log2()は、C99で追加された関数です。「Lua 5.3.1」が、使用しています。
double log2(double x);
//}}2015/07/25追加:log2()を追加しました。実装は、cliplibc.cにあります。log2()は、C99で追加された関数です。「Lua 5.3.1」が、使用しています。

#endif
